<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension
         point="org.eclipse.papyrus.infra.nattable.configuration">
      <configuration
            file="src/main/resources/nattable/sSystemEventsLibraryTable.nattableconfiguration"
            type="%nattable.id.ssystemeventslibrarytable">
      </configuration>
   </extension>
   <extension
         point="org.eclipse.papyrus.infra.nattable.tester">
      <tester
            class="org.polarsys.esf.localanalysis.table.tester.SSystemEventsLibraryTableTester"
            id="org.polarsys.esf.localanalysis.table.tester.canSSystemEventsLibraryTable">
      </tester>
   </extension>
   <extension
         point="org.eclipse.papyrus.infra.nattable.axismanager">
      <axisManager
            id="org.polarsys.esf.localanalysis.nattable.SSystemEventsLibraryAxisManager"
            manager="org.polarsys.esf.localanalysis.table.manager.axis.SSystemEventsLibraryAxisManager">
      </axisManager>
   </extension>
    <extension
         point="org.eclipse.ui.commands">
      <command
            categoryId="org.eclipse.papyrus.editor.category"
            description="%menucontext.ui.commands.create.ssystemeventslibrary.table.description"
            id="org.polarsys.esf.localanalysis.table.ssystemeventslibrary.create.command"
            name="%menucontext.ui.commands.create.ssystemeventslibrary.table.label">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            commandId="org.polarsys.esf.localanalysis.table.ssystemeventslibrary.create.command">
         <activeWhen>
            <or>
               <with
                     variable="activeEditorId">
                  <equals
                        value="org.eclipse.papyrus.infra.core.papyrusEditor">
                  </equals>
               </with>
            </or>
         </activeWhen>
         <class
               class="org.eclipse.papyrus.infra.nattable.common.handlers.CreateNatTableEditorHandler">
            <parameter
                  name="tableType"
                  value="%nattable.id.ssystemeventslibrarytable">
            </parameter>
         </class>
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.commandImages">
      <image
            commandId="org.polarsys.esf.localanalysis.table.ssystemeventslibrary.create.command"
            icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/icon_ssystemeventslibrary_table.png">
      </image>
   </extension>
</plugin>
